// package: bet.protobuf.rpc
// file: protobuf/rpc.proto

import * as jspb from "google-protobuf";

export class Error extends jspb.Message {
  getCode(): number;
  setCode(value: number): void;

  getMessage(): string;
  setMessage(value: string): void;

  hasData(): boolean;
  clearData(): void;
  getData(): Uint8Array | string;
  getData_asU8(): Uint8Array;
  getData_asB64(): string;
  setData(value: Uint8Array | string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Error.AsObject;
  static toObject(includeInstance: boolean, msg: Error): Error.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: Error, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Error;
  static deserializeBinaryFromReader(message: Error, reader: jspb.BinaryReader): Error;
}

export namespace Error {
  export type AsObject = {
    code: number,
    message: string,
    data: Uint8Array | string,
  }
}

export class InvalidParamsDetail extends jspb.Message {
  getLocation(): string;
  setLocation(value: string): void;

  getParam(): string;
  setParam(value: string): void;

  getValue(): string;
  setValue(value: string): void;

  getErrorType(): InvalidParamsTypeMap[keyof InvalidParamsTypeMap];
  setErrorType(value: InvalidParamsTypeMap[keyof InvalidParamsTypeMap]): void;

  getMessage(): string;
  setMessage(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): InvalidParamsDetail.AsObject;
  static toObject(includeInstance: boolean, msg: InvalidParamsDetail): InvalidParamsDetail.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: InvalidParamsDetail, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): InvalidParamsDetail;
  static deserializeBinaryFromReader(message: InvalidParamsDetail, reader: jspb.BinaryReader): InvalidParamsDetail;
}

export namespace InvalidParamsDetail {
  export type AsObject = {
    location: string,
    param: string,
    value: string,
    errorType: InvalidParamsTypeMap[keyof InvalidParamsTypeMap],
    message: string,
  }
}

export interface InvalidParamsTypeMap {
  NONE: 0;
  DATE_TIME: 1;
  DECIMAL: 2;
  EQUALS_TO: 3;
  FLOAT: 4;
  INTEGER: 5;
  RANGE: 6;
  REG_EX: 7;
  REQUIRED: 8;
  STRING_LENGTH: 9;
  URL: 10;
}

export const InvalidParamsType: InvalidParamsTypeMap;

